Bug 810397 (CVE-2011-4370, CVE-2011-4371, CVE-2011-4372, CVE-2011-4373, CVE-2012-0774, CVE-2012-0775, CVE-2012-0777) - CVE-2011-4370 CVE-2011-4371 CVE-2011-4372 CVE-2011-4373 CVE-2012-0774 CVE-2012-0775 CVE-2012-0777 acroread: multiple unspecified flaws (APSB12-08, APSB12-01)
Summary: CVE-2011-4370 CVE-2011-4371 CVE-2011-4372 CVE-2011-4373 CVE-2012-0774 CVE-201...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-4370, CVE-2011-4371, CVE-2011-4372, CVE-2011-4373, CVE-2012-0774, CVE-2012-0775, CVE-2012-0777
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 811091 811092 811093 811094
Blocks: 797753
TreeView+ depends on / blocked
 
Reported: 2012-04-05 20:53 UTC by Vincent Danen
Modified: 2021-02-24 12:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-10 22:18:44 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0469 0 normal SHIPPED_LIVE Critical: acroread security update 2013-11-13 16:14:13 UTC

Description Vincent Danen 2012-04-05 20:53:39 UTC
Adobe has released a prenotification of APSB12-08 indicated that it will release updates for Adobe Reader 9.x for Linux.  No details have been noted other than that they fix critical vulnerabilities in the software.

External References:

http://www.adobe.com/support/security/bulletins/apsb12-08.html

Comment 2 Vincent Danen 2012-04-10 17:31:09 UTC
Further details from the bulletin, updated today:

These updates resolve an integer overflow in the True Type Font (TTF) handling that could lead to code execution (CVE-2012-0774).

These updates resolve a memory corruption in the JavaScript handling that could lead to code execution (CVE-2012-0775).

These updates resolve a security bypass via the Adobe Reader installer that could lead to code execution (CVE-2012-0776).

These updates resolve a memory corruption in the JavaScript API that could lead to code execution (CVE-2012-0777) (Macintosh and Linux only).

Comment 3 errata-xmlrpc 2012-04-10 20:31:06 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:0469 https://rhn.redhat.com/errata/RHSA-2012-0469.html

Comment 4 Vincent Danen 2012-04-18 03:41:09 UTC
Adobe has updated APSB12-08 to note that it also addressed the flaws from APSB12-01 (for which there was no Linux release), in particular addressing CVE-2011-4370, CVE-2011-4371, CVE-2011-4372, and CVE-2011-4373.  These four CVEs have been addressed in Linux via APSB12-08.


Note You need to log in before you can comment on or make changes to this bug.